Bug 1307206 - rhel-osp-director: 7.3 oc deployment with vlan network type: the launched instances get status "error" with "Failed to allocate the network(s), not rescheduling." [NEEDINFO]
rhel-osp-director: 7.3 oc deployment with vlan network type: the launched ins...
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
high Severity unspecified
: y3
: 7.0 (Kilo)
Assigned To: marios
yeylon@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-12 22:14 EST by Alexander Chuzhoy
Modified: 2016-04-18 03:00 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-15 15:14:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
oblaut: needinfo? (sasha)


Attachments (Terms of Use)

  None (edit)
Description Alexander Chuzhoy 2016-02-12 22:14:47 EST
rhel-osp-director: 7.3 oc deployment with vlan network type: the launched instances get status "error" with  "Failed to allocate the network(s), not rescheduling."



Environment:
openstack-neutron-common-2015.1.2-9.el7ost.noarch
openstack-tripleo-heat-templates-0.8.6-120.el7ost.noarch
openstack-neutron-ml2-2015.1.2-9.el7ost.noarch
openstack-puppet-modules-2015.1.8-51.el7ost.noarch
instack-undercloud-2.1.2-39.el7ost.noarch
python-neutronclient-2.4.0-2.el7ost.noarch
openstack-neutron-openvswitch-2015.1.2-9.el7ost.noarch
openstack-neutron-2015.1.2-9.el7ost.noarch
python-neutron-2015.1.2-9.el7ost.noarch

openstack-neutron-bigswitch-lldp-2015.1.38-1.el7ost.noarch
python-neutronclient-2.4.0-2.el7ost.noarch
python-neutron-2015.1.2-8.el7ost.noarch
openstack-neutron-2015.1.2-8.el7ost.noarch
openstack-neutron-lbaas-2015.1.2-1.el7ost.noarch
openstack-neutron-common-2015.1.2-8.el7ost.noarch
python-neutron-lbaas-2015.1.2-1.el7ost.noarch
openstack-neutron-ml2-2015.1.2-8.el7ost.noarch
openstack-neutron-metering-agent-2015.1.2-8.el7ost.noarch
openstack-neutron-openvswitch-2015.1.2-8.el7ost.noarch


Steps to reproduce:
Deployed overcloud successfully with:
export THT=/usr/share/openstack-tripleo-heat-templates
openstack overcloud deploy --templates $THT \
-e $THT/environments/network-isolation.yaml \
-e $THT/environments/storage-environment.yaml \
-e /home/stack/network-environment.yaml \
-e /home/stack/ssl-heat-templates/environments/enable-tls.yaml \
-e /home/stack/ssl-heat-templates/environments/inject-trust-anchor.yaml \
--control-scale 3 \
--compute-scale 2 \
--ceph-storage-scale 3 \
--compute-flavor compute --control-flavor control --ceph-storage-flavor ceph-storage  \
--neutron-disable-tunneling \
--neutron-network-type vlan \
--neutron-network-vlan-ranges tenantvlan:x:x \
--neutron-bridge-mappings datacentre:br-ex,tenantvlan:br-nic4 \
--ntp-server x.x.x.x \
--timeout 180

Created network with:
neutron net-create tenant --provider:network_type vlan  --provider:segmentation_id x --provider:physical_network tenantvlan

Created subnet with:
 neutron subnet-create tenant 192.168.32.0/24 --gateway 192.168.32.1 --enable_dhcp=True --allocation-pool start=192.168.32.2,end=192.168.32.100 --dns x.x.x.x

Attempted to boot an instance attached to the above network. 
After severl minutes in "BUILD" status, the instance went to status error.
Running nova show <instance>|fault:
| fault                                | {"message": "Build of instance a8f0833f-4649-4ebb-8a26-11568bea870f aborted: Failed to allocate the network(s), not rescheduling.", "code": 500, "details": "  File \"/usr/lib/python2.7/site-packages/nova/compute/manager.py\", line 2261, in _do_build_and_run_instance |
Comment 6 Marius Cornea 2016-02-15 13:05:36 EST
I checked the environment and found errors like these in the neutron server log, on controllers:

neutron.notifiers.nova ConnectionRefused: Unable to establish connection to https://rxtx.ro:13774/v2/5d8cf80f1c1046f08dc4b1752f1c4c1a/os-server-external-events

rxtx.ro was the name used in the common name for the cert and it needs to be resolved to the overcloud public vip from both undercloud and overcloud nodes. After adding it to /etc/hosts on the controller nodes I was able to spawn instances.
Comment 7 Omri Hochman 2016-02-15 15:14:29 EST
(In reply to Marius Cornea from comment #6)
> I checked the environment and found errors like these in the neutron server
> log, on controllers:
> 
> neutron.notifiers.nova ConnectionRefused: Unable to establish connection to
> https://rxtx.ro:13774/v2/5d8cf80f1c1046f08dc4b1752f1c4c1a/os-server-external-
> events
> 
> rxtx.ro was the name used in the common name for the cert and it needs to be
> resolved to the overcloud public vip from both undercloud and overcloud
> nodes. After adding it to /etc/hosts on the controller nodes I was able to
> spawn instances.

Closing the bug - It seems like configuration issue.

Note You need to log in before you can comment on or make changes to this bug.